
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Web前端工程师定位浅谈 / iVAN</title>

    <meta name="description" content="Web前端工程师定位浅谈 先给前端工程师的工作下个一句话定义:运用前端技术,实现体验的良好传达.如果在前面加上Web,那么是针对Web这个领域的,主要是互联网,也可以将移动通信网络和其他传媒网络(比如IPTV)包含在内,因为其理念是一致的. 现在要在未毕业的学生中找到一个符合技能条件的Web前端工程师可以说是少之又少.而相关领域的从业者,又因为不被重视.干杂活.薪水低等原因,觉得选错了行当,又停止了在这个方向上的努力学习.最终导致企业招不到一位满意的Web前端工程师.这涉及到两个定位的问题,即1)企业如何给Web前端工程">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Web前端工程师定位浅谈</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>先给前端工程师的工作下个一句话定义：运用前端技术，实现体验的良好传达。如果在前面加上Web，那么是针对Web这个领域的，主要是互联网，也可以将移动通信网络和其他传媒网络（比如IPTV）包含在内，因为其理念是一致的。</p>
<p>现在要在未毕业的学生中找到一个符合技能条件的Web前端工程师可以说是少之又少。而相关领域的从业者，又因为不被重视、干杂活、薪水低等原因，觉得选错了行当，又停止了在这个方向上的努力学习。最终导致企业招不到一位满意的Web前端工程师。这涉及到两个定位的问题，即1)企业如何给Web前端工程师定位，2)Web前端工程师如何定位自己。前者等下次有机会再谈，先讲后者。</p>
<p>Web前端工程师如何定位自己</p>
<p>首先，这是很有前途的工作。百安居的卫哲曾经对大学生择业提出这样的建议：第一选择新行业，第二选择新企业，第三选择新部门。互联网行业相对传统行业，算是新行业；现在创业公司很多；Web前端工程师又是一个新的岗位。中国的Web前端工程师正在起步，会有很好的发展。</p>
<p>然后，想一下自己是否适合和喜欢这份工作。Web前端工程师并不是设计师，我更倾向于将这个岗位定位为开发人员。这个岗位上每天接触的更多的仍然是代码、代码、代码。如果你喜欢的是设计，那么应该适当调整自己的学习重点。Web前端工程师应该是那种完美主义者，或者有一定程度洁癖，天蝎座较佳，更像程序员。术业有专攻，自己多想想自己的职业规划。</p>
<p>最后，通过努力找到好的雇主。如果你将自己定位为Web前端工程师，那么去投靠对该岗位有一定认识的公司比较合适（推荐一下淘宝）。在这样的公司里面，会有明确的职位说明和职责范围，以及良好的培养计划。在这样的公司能够有比较好的发展。</p>
<p>但是，如果你现在还不具备应有的一些技能，那么也可以从“美工”开始接触起。起码几年之内，这个岗位的空缺还是很大的。在这样的岗位上，卧薪尝胆个一两年，同时注重自身知识水平和思想的提高，对Web前端工程师就更近一步了。</p>
<p>关于技能</p>
<p>一般来讲，企业会更倾向于选择复合型人才（aka.T型人才）。基本上，我觉得Web前端工程师所需技能大致如下：</p>
<p>(X)HTML+CSS，从入门到精通</p>
<p>JavaScript，基本的Ajax和framework</p>
<p>Semantic+Accessibility，主要是思想、理念上</p>
<p>浏览器（或者相应播放器）的渲染/重绘原理</p>
<p>其他RIA相关技术和理念</p>
<p>看看自己的知识结构，是T的一横不够广，还是一竖不够深？</p>
<p>其他</p>
<p>最后提一下关于企业对于Web前端工程师的定位问题。主要是三个：</p>
<p>a)是否需要？</p>
<p>b)明确职责，</p>
<p>c)培养计划。</p>
<p>这些以后再谈吧。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 08:00:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/%e4%bc%81%e4%b8%9a/" title="企业">企业</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%af/" title="前端">前端</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9a%e4%bd%8d/" title="定位">定位</a>, <a href="https://www.iamivan.net/tag/web%e5%89%8d%e7%ab%af/" title="web前端">web前端</a>, <a href="https://www.iamivan.net/tag/web%e5%89%8d%e7%ab%af%e5%bc%80%e5%8f%91/" title="web前端开发">web前端开发</a>, <a href="https://www.iamivan.net/tag/%e6%8a%80%e8%83%bd/" title="技能">技能</a>, <a href="https://www.iamivan.net/tag/%e5%b7%a5%e7%a8%8b%e5%b8%88/" title="工程师">工程师</a>, <a href="https://www.iamivan.net/tag/web%e5%89%8d%e7%ab%af%e6%95%b4%e4%bd%93%e8%ae%a4%e8%af%86/" title="web前端整体认识">web前端整体认识</a>, <a href="https://www.iamivan.net/tag/web-%e5%89%8d%e7%ab%af/" title="web 前端">web 前端</a>, <a href="https://www.iamivan.net/tag/%e5%89%8d%e7%ab%afweb/" title="前端web">前端web</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Web前端工程师定位浅谈的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXQjjz.html" rel="bookmark">走近Web前端工程师 看前端工程师的价值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一个很老的话题&quot;前端工程师的价值体现在哪里?&quot;. 有人说:&quot;前端工程师之于网站的价值犹如化妆师之于明星的价值.&quot;一位好的 Web 前端开发工程师在知识体系上既要有广度,又要有深度.当然,Web 前端工程师并不是设计师,每天接触最多的是代码,代码,还是代码.对此,你是如何给自己定位的?你的价值是否能够得到很好的体现?如今,旧话重提无非是想 与开发者们共同探讨下前端工程师的价值所在,希望对你有所感悟. 前端工程师的价值体现在哪里? 一起来看下业内资深大牛对前端工程师			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjj8AZb.html" rel="bookmark">【前端性能】浅谈域名发散与域名收敛</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				性能优化一直是前端工作中十分重要的一环,都说从 10 到 1 容易,从 1 到 0 很难.而随着前端技术的飞速发展,没有什么技术或者法则是金科玉律一成不变的. 很佩服那些勇于挑战权威,推陈出新的勇者,是他们让我们的技术不断的变革更加的卓越.好像扯远了,本文主要想谈谈两个名词,域名发散和域名收敛.      域名发散 这个很好理解,前端er都知道,PC 时代为了突破浏览器的域名并发限制,遵循这样一条定律: · http 静态资源采用多个子域名 嗯,为什么要这样做呢,目的是充分利用现代浏览器的多线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOd0vb.html" rel="bookmark">成为Web前端工程师的三个阶段</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web 前端工程师每个阶段所需技能大致如下:第一阶段平面设计师 : 良好的美术基础.对色彩有一定深入的理解.富有创意思维.精通PhotoShop.Fireworks 等软件.网页设计师 : (X)HTML.CSS.AS3.精通Flash.DreamWeaver等. 第二阶段UI设计师   : RIA技术,对&quot;3D概念体系&quot;有所认知.这里&quot;3D&quot;即:Design(设计).Development(开发).Deploy(产品部署)等.交互工程师 : JavaScript.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAJ6ep.html" rel="bookmark">用户体验设计&colon;产品工程师和WEB前端工程师</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我敢打赌,在中国,一半以上甚至更多的,以网站为主营业务的或者把网站很看重的公司,没有Web前端工程师和产品工程师这两个职位,甚至有些有点规模的公司也可能没有这个职位,当然,这不能包括像alibaba,sina,163这样的公司,只是指中小型公司而言.如果你们公司有,请给我留言告诉我你们公司的规模和相关的信息. 做得好一点的公司,一般是项目经理/部门主管+投资方(项目管理中的投资方,实际上就是老板,反正就是决定你要做什么并给你钱的人)来承担产品工程师的角色,由美工来承担Web前端工程师的角色,特别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEgqop.html" rel="bookmark">想转行做web前端工程师，必学这6大技能！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web前端工程师是近几年才发展出来的新兴职业,也是目前火爆且高薪的职业.大需求的市场环境下,出现了越来越多的人群转行做web前端工程师,如设计师.后台程序员.策划.编辑等等. 要学习web前端开发,需要掌握哪些知识呢? 1.html 这个是最简单的,也是最基础的.要熟练掌握div.form table.ul li .p.span.font这些标签,这些都是最常用的,特别是div和table,div用于布局.table也可以用于布局,但是不灵活,基本table是用来和数据打交道. 2.css 这里			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRklXz.html" rel="bookmark">如何成为一名优秀的web前端工程师</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我所遇到的前端程序员分两种: 第一种一直在问:如何学习前端? 第二种总说:前端很简单,就那么一点东西. 我从没有听到有人问:如何做一名优秀.甚至卓越的WEB前端工程师. 何为:前端工程师? 前端工程师,也叫Web前端开发工程师.他是随着web发展,细分出来的行业. Web前端开发技术主要包括三个要素:HTML.CSS和JavaScript! 它要求前端开发工程师不仅要掌握基本的Web前端开发技术,网站性能优化.SEO和服务器端的基础知识,而且要学会运用各种工具进行辅助开发以及理论层面的知识,包括			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPB5Qqb.html" rel="bookmark">带你认识Web前端工程师</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前端工程师的价值体现在哪里?一起来看下业内资深大牛对前端工程师是如何评价的: 张克军 豆瓣前端工程师: 个人认为前端工程师正慢慢演变为产品工程师.WAP App,响应性 UI 等以 HTML5 技术为基础的开发将成为前端工程师的主要工作内容,解决产品跨平台跨设备的实现问题.Javascript,HTML,CSS 这些前端工程师熟悉的,多年使用的语言,作为开放标准将被各种平台所支持.产品形态和数据的分离是形势所趋.移动时代对产品形态多元化的要求虽然可以靠不 同技术分别实现,但要付出巨大的成本.这也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWYrmb.html" rel="bookmark">国外招聘WEB前端工程师的帖子都写了什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在知名的互联网企业里工作是一件很美好的事情,有很多的工作机会,而且企业们通过高薪以及令人惊叹的津贴来争夺最优秀的人才.但是如果你花了大量的时间在招聘网站上和公司的帖子上,你可能会注意到在网页设计这个工作岗位上一个令人担忧的趋势. (如果一个编程工作需要穿西装,那么这可能是一个糟糕的信号.) 工作岗位实摘 对于很多工作岗位 ,&quot;需求&quot;其实是很荒谬的.它们停留太长时间,是不必要的,或者是完全没有意义的.为了解释我的这个想法,下面摘录一些真实的工作岗位写照,你们感受下. 负责架构设计和定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydxZ8b.html" rel="bookmark">《Web前端工程师修炼之道（原书第4版）》&mdash;&mdash;Web设计师是做什么的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Web设计师是做什么的 多年来,术语&quot;Web设计&quot;已经成为包罗万象.包含许多不同的学科的一个学科,包括用户体验设计.文档标记和编程等.本节介绍最基本的一些东西. 如果你正在设计自己的一个小网站,你会需要多个头衔.当然你可能没有注意到.想一下,日复一日的家居生活,需要你既是兼职厨师.清洁工.会计师.外交家.园丁,还得是建筑工人,但对你来说,都只是你的生活而已.同样,作为一个Web设计师,你需要是一名兼职平面设计师.作家.HTML作者和信息架构师,但对你来说,它都只是 &quot;网页制作			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgRnZb.html" rel="bookmark" class="title">PHOTOSHOP中常用的四种抠图方法</a>
					<div>
						最近不断有人问怎样换照片背景的问题,实际上是关于抠图的问题,把你需要的内容从照片中抠出来了,换背景就轻而易举了.现介绍四种最常用的抠图和换背景的方法,供参考: 一.如果照片的主体与背景反差较大,边沿较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGPylb.html" rel="bookmark" class="title">海市蜃楼效果</a>
					<div>
						预览成品: 逐步说明: 1.首先必须有准备好两张图象,一张为沙漠图象,一张为女孩图象. 2.在工具箱中用矩形工具选区所需的女孩头部图象,如图所示. 3.用工具箱中的移动工具 将图象移到沙漠图象中,作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOoBQz.html" rel="bookmark" class="title">Photoshop鼠绘分析教程&colon;刻画逼真的猫咪</a>
					<div>
						效果图刻画的非常逼真,不管是小猫的神态和神韵都表现的非常完美.当然要完成如此细腻的图片,需要花费大量的时间,尤其是在刻画绒毛的时候,几乎每一根都需要用涂抹工具等涂出来.绘制的时候一定要有耐心.最终效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkQ6db.html" rel="bookmark" class="title">修改discuz兼容自己开发的通行证</a>
					<div>
						修改discuz,uchome,ucenter兼容自己开发的通行证 最近稍有接触,修改其中的部分代码,就贡献其中的关键部分吧. 修改discuz,uchome,ucenter兼容自己开发的通行证 最近 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7BmmM.html" rel="bookmark" class="title">C语言基础教程（二）数据类型、变量和运算符&lpar;8&rpar;</a>
					<div>
						4.4 数组变量 所谓数组就是指具有相同数据类型的变量集, 并拥有共同的名字.数组中的每个特定元素都使用下标来访问.数组由一段连续的存贮地址构成, 最低的地址对应于第一个数组元素, 最高的地址对应最后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOJlZM.html" rel="bookmark" class="title">第七章-剪贴板和动态数据交换（二）&lpar;4&rpar;</a>
					<div>
						7.4 DDE服务器程序的实现 DDE服务器程序响应DDE客户的请求,一般地它包含了客户程序希望获取的数据. 创建一个DDE服务器程序,必须要把一个DDEServerItem部件添加到窗体中.DDES ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrn6kp.html" rel="bookmark" class="title">VC&plus;&plus;中使用ADO方式操作ACCESS数据库</a>
					<div>
						ADO(ActiveX Data Object)是Microsoft数据库应用程序开发的新接口,是建立在OLE DB之上的高层数据库访问技术,即使你对OLE DB,COM不了解也能轻松对付ADO,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RXK8p.html" rel="bookmark" class="title">Swing中Timer定时器的使用</a>
					<div>
						构造方法:Timer(int delay,ActionListener listener) 创建一个每 delay 毫秒将通知其侦听器的 Timer. Api的一段示例代码 int delay = 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eaPgb.html" rel="bookmark" class="title">win7系统的菜单的截图方法</a>
					<div>
						  很多用户都知道使用QQ来进行界面的截图,但是碰到需要截取菜单图的时候,却不知道应该怎么处理,其实在win7系统中截图菜单是非常简单的.下面就让小编来介绍下win7系统的菜单的截图方法. 步骤一:在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmmYAz.html" rel="bookmark" class="title">javascript-一个JavaScript的作业，求所有源码</a>
					<div>
						问题描述 一个JavaScript的作业,求所有源码 求源码?????????????????????????????????????????????????????????????????????? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAw8kM.html" rel="bookmark" class="title">Ubuntu LiveCD图形界面安装指南</a>
					<div>
						Ubuntu 有提供四种安装方式,本文将以图形界面安装为主,若想要参考其他安装,请参考: 1.文字模式安装 (Alternate CD) 2.OEM 安装 (Alternate CD) 3.服务器安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxP0vb.html" rel="bookmark" class="title">ajax-PHP 页面嵌入的php代码不执行问题</a>
					<div>
						问题描述 PHP 页面嵌入的php代码不执行问题 所有的都正常,Ajax也执行正常返回数据正常,但是例如 &lt;? php echo $_SESSION['user'] ?&gt; &lt;? ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7o0Xp.html" rel="bookmark" class="title">jsp 表单里面的内容只要是中文的到servlet里面获取的是乱码</a>
					<div>
						问题描述 jsp 表单里面的内容只要是中文的到servlet里面获取的是乱码 例如1.jsp &lt;%@ page language=&quot;java&quot; import=&quot;ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXWg4z.html" rel="bookmark" class="title">IOC  DI</a>
					<div>
						IoC:Inversion of Control,控制反转DI:Dependency Injection,依赖注入 要理解上面两个概念,就必须搞清楚如下的问题: 参与者都有谁?依赖:谁依赖于谁?为什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLjw0p.html" rel="bookmark" class="title">linux 驱动 lcd ioctl-ioctl的用法简答问题，新手求助！</a>
					<div>
						问题描述 ioctl的用法简答问题,新手求助! ioctl(cali-&gt;fd_lcd, FBIOGET_VSCREENINFO, &amp;cali-&gt;var); 这个函数中fd_lcd是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXmD1z.html" rel="bookmark" class="title">英语学习第一平台学为贵牵手智齿客服</a>
					<div>
						学为贵的前身是成立于1997年的北京雅思培训学校,是中国最早的全国连锁英语培训学校之一.2010年北京雅思学校和现代教育合并,在香港联交所成功上市. 随着互联网的普及,越来越多的人习惯使用互联网进行学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkNXDM.html" rel="bookmark" class="title">csharp&colon; Oracle Stored Procedure DAL using ODP&period;NET</a>
					<div>
						Oracel sql: --书分类目录kind -- Geovin Du create table BookKindList ( BookKindID INT PRIMARY KEY, BookKin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX5w6b.html" rel="bookmark" class="title">在silverlight中利用socket发送图片或文件</a>
					<div>
						silverlight中的socket通讯支持,让sl开发基于web的聊天工具成为了可能,后来OpenFileDialog,SaveFileDialog的出现,更使得边聊天边传送图片(文件)得以实现, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJdKvp.html" rel="bookmark" class="title">EF模型视图 打不开出现错误求帮助【实在没分了&period;&period;&period;求各位大大可怜下我】</a>
					<div>
						问题描述 如图,这个原因是怎么造成的.先说一下背景,这个项目我是移动过地方的,不会是这个原因吧?再者,解决方法是什么? 解决方案 解决方案二:快来人解决方案三:旧问题没解决,新问题又来了...我看很长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0l6PM.html" rel="bookmark" class="title">SaaS打破Web安全网关现有市场格局</a>
					<div>
						本文讲的是SaaS打破Web安全网关现有市场格局,近日,Web安全市场迎来了两个新成员:Zscaler公司和Purewire公司,这两家公司提供基于软件即服务(SaaS)的产品,从而提供了除大部分竞争 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodENvM.html" rel="bookmark" class="title">gcc-C语言中编写makefile遇到的问题</a>
					<div>
						问题描述 C语言中编写makefile遇到的问题 自己在博客中写了由几个文件构成的代码,最后生成了一个静态库叫做libsum.a,里面保存着几个供main() 函数调用的函数,自己最后再把这个库和mi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnaG5M.html" rel="bookmark" class="title">《识数寻踪：WinHex应用与数据恢复开发秘籍》&mdash;&mdash;1&period;4　我们的&OpenCurlyDoubleQuote;闺蜜&rdquo;&mdash;&mdash;数据恢复工具</a>
					<div>
						1.4 我们的&quot;闺蜜&quot;--数据恢复工具 识数寻踪:WinHex应用与数据恢复开发秘籍 虽然数据恢复工具并不是我们安身立命的根本,但是在很多情况下,它们能帮助我们更有效地完成工作.从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnXXVM.html" rel="bookmark" class="title">PRADA入股中国代工企业时代皮具IDG同时跟投</a>
					<div>
						&quot;中国制造&quot;是奢侈品牌保持品牌神秘性和财务控制中纠结的两难话题.PRADA在中国的一家代工企业&quot;时代皮具&quot;即将于12月初在香港上市.PRADA与风险投资基金ID ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNgqkM.html" rel="bookmark" class="title">c&num;网络编程-cookiecontainer问题，折腾一天了求帮助谢谢</a>
					<div>
						问题描述 cookiecontainer问题,折腾一天了求帮助谢谢 我把httpwebresponse.cokies添加add()到cookiecontaoner里,然后遍历出来,里面的cookie不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnOVrM.html" rel="bookmark" class="title">RedMonk 6 月编程语言排行：Java 第二，Kotlin 未入榜</a>
					<div>
						RedMonk 发布了 2017 年 6 月(Q3)的编程语言排行榜:JavaScript 依然稳居榜首,Java 紧随其后:然后是 Python.PHP 和 C#:C ++ 跌出前 5 降至第 6  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2dO6M.html" rel="bookmark" class="title">Java集合之整体结构&lowbar;java</a>
					<div>
						一.Java中集合 Java中集合类是Java编程中使用最频繁.最方便的类.集合类作为容器类可以存储任何类型的数据,当然也可以结合泛型存储指定的类型(不过泛型仅仅在编译期有效,运行时是会被擦除的).集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5ox5z.html" rel="bookmark" class="title">mysql中event的用法详解&lowbar;Mysql</a>
					<div>
						一.基本概念mysql5.1版本开始引进event概念.event既&quot;时间触发器&quot;,与triggers的事件触发不同,event类似与linux crontab计划任务,用于时间触 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q48rM.html" rel="bookmark" class="title">rdlc背景图导出word不显示。</a>
					<div>
						问题描述 rdlc设置背景图片,导出excel.pdf.背景图片都显示,只有world里不显示,高手帮忙 解决方案 解决方案二:引用楼主u011129547的回复: rdlc设置背景图片,导出exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2jrOM.html" rel="bookmark" class="title">查询结果-查询列表得到的结果，怎么统计这个结果</a>
					<div>
						问题描述 查询列表得到的结果,怎么统计这个结果 在最后一行合计里面统计上面查询到的结果,怎么写?查询语句和页面上都要有所改动吧,求解,急 解决方案 没有说明所用的语言和环境,用你所用的语言和环境+添加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GgDgp.html" rel="bookmark" class="title">c&plus;&plus;问题-一个c&plus;&plus;运行错误，求解答？？？？？</a>
					<div>
						问题描述 一个c++运行错误,求解答????? 什么错误expected unqualified-id before':'token---------------- 解决方案 这应该不是运行错误,而是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
